{-# LANGUAGE OverloadedStrings #-}

module Graphics.Icons.FontAwesome where

import Data.String
import Graphics.Icons.Types

data FontAwesome = FontAwesome String
  deriving (Show, Eq)

instance IconCode FontAwesome where
  iconPango (FontAwesome code) = "<span font_family='FontAwesome'> &#x" ++ code ++ ";</span>"

instance IsString FontAwesome where
  fromString = FontAwesome

icon500pxCode :: FontAwesome
icon500pxCode = "f26e"
adjustCode :: FontAwesome
adjustCode = "f042"
adnCode :: FontAwesome
adnCode = "f170"
alignCenterCode :: FontAwesome
alignCenterCode = "f037"
alignJustifyCode :: FontAwesome
alignJustifyCode = "f039"
alignLeftCode :: FontAwesome
alignLeftCode = "f036"
alignRightCode :: FontAwesome
alignRightCode = "f038"
amazonCode :: FontAwesome
amazonCode = "f270"
ambulanceCode :: FontAwesome
ambulanceCode = "f0f9"
americanSignLanguageInterpretingCode :: FontAwesome
americanSignLanguageInterpretingCode = "f2a3"
anchorCode :: FontAwesome
anchorCode = "f13d"
androidCode :: FontAwesome
androidCode = "f17b"
angellistCode :: FontAwesome
angellistCode = "f209"
angleDoubleDownCode :: FontAwesome
angleDoubleDownCode = "f103"
angleDoubleLeftCode :: FontAwesome
angleDoubleLeftCode = "f100"
angleDoubleRightCode :: FontAwesome
angleDoubleRightCode = "f101"
angleDoubleUpCode :: FontAwesome
angleDoubleUpCode = "f102"
angleDownCode :: FontAwesome
angleDownCode = "f107"
angleLeftCode :: FontAwesome
angleLeftCode = "f104"
angleRightCode :: FontAwesome
angleRightCode = "f105"
angleUpCode :: FontAwesome
angleUpCode = "f106"
appleCode :: FontAwesome
appleCode = "f179"
archiveCode :: FontAwesome
archiveCode = "f187"
areaChartCode :: FontAwesome
areaChartCode = "f1fe"
arrowCircleDownCode :: FontAwesome
arrowCircleDownCode = "f0ab"
arrowCircleLeftCode :: FontAwesome
arrowCircleLeftCode = "f0a8"
arrowCircleODownCode :: FontAwesome
arrowCircleODownCode = "f01a"
arrowCircleOLeftCode :: FontAwesome
arrowCircleOLeftCode = "f190"
arrowCircleORightCode :: FontAwesome
arrowCircleORightCode = "f18e"
arrowCircleOUpCode :: FontAwesome
arrowCircleOUpCode = "f01b"
arrowCircleRightCode :: FontAwesome
arrowCircleRightCode = "f0a9"
arrowCircleUpCode :: FontAwesome
arrowCircleUpCode = "f0aa"
arrowDownCode :: FontAwesome
arrowDownCode = "f063"
arrowLeftCode :: FontAwesome
arrowLeftCode = "f060"
arrowRightCode :: FontAwesome
arrowRightCode = "f061"
arrowUpCode :: FontAwesome
arrowUpCode = "f062"
arrowsCode :: FontAwesome
arrowsCode = "f047"
arrowsAltCode :: FontAwesome
arrowsAltCode = "f0b2"
arrowsHCode :: FontAwesome
arrowsHCode = "f07e"
arrowsVCode :: FontAwesome
arrowsVCode = "f07d"
assistiveListeningSystemsCode :: FontAwesome
assistiveListeningSystemsCode = "f2a2"
asteriskCode :: FontAwesome
asteriskCode = "f069"
atCode :: FontAwesome
atCode = "f1fa"
audioDescriptionCode :: FontAwesome
audioDescriptionCode = "f29e"
backwardCode :: FontAwesome
backwardCode = "f04a"
balanceScaleCode :: FontAwesome
balanceScaleCode = "f24e"
banCode :: FontAwesome
banCode = "f05e"
barChartCode :: FontAwesome
barChartCode = "f080"
barcodeCode :: FontAwesome
barcodeCode = "f02a"
barsCode :: FontAwesome
barsCode = "f0c9"
batteryEmptyCode :: FontAwesome
batteryEmptyCode = "f244"
batteryFullCode :: FontAwesome
batteryFullCode = "f240"
batteryHalfCode :: FontAwesome
batteryHalfCode = "f242"
batteryQuarterCode :: FontAwesome
batteryQuarterCode = "f243"
batteryThreeQuartersCode :: FontAwesome
batteryThreeQuartersCode = "f241"
bedCode :: FontAwesome
bedCode = "f236"
beerCode :: FontAwesome
beerCode = "f0fc"
behanceCode :: FontAwesome
behanceCode = "f1b4"
behanceSquareCode :: FontAwesome
behanceSquareCode = "f1b5"
bellCode :: FontAwesome
bellCode = "f0f3"
bellOCode :: FontAwesome
bellOCode = "f0a2"
bellSlashCode :: FontAwesome
bellSlashCode = "f1f6"
bellSlashOCode :: FontAwesome
bellSlashOCode = "f1f7"
bicycleCode :: FontAwesome
bicycleCode = "f206"
binocularsCode :: FontAwesome
binocularsCode = "f1e5"
birthdayCakeCode :: FontAwesome
birthdayCakeCode = "f1fd"
bitbucketCode :: FontAwesome
bitbucketCode = "f171"
bitbucketSquareCode :: FontAwesome
bitbucketSquareCode = "f172"
blackTieCode :: FontAwesome
blackTieCode = "f27e"
blindCode :: FontAwesome
blindCode = "f29d"
bluetoothCode :: FontAwesome
bluetoothCode = "f293"
bluetoothBCode :: FontAwesome
bluetoothBCode = "f294"
boldCode :: FontAwesome
boldCode = "f032"
boltCode :: FontAwesome
boltCode = "f0e7"
bombCode :: FontAwesome
bombCode = "f1e2"
bookCode :: FontAwesome
bookCode = "f02d"
bookmarkCode :: FontAwesome
bookmarkCode = "f02e"
bookmarkOCode :: FontAwesome
bookmarkOCode = "f097"
brailleCode :: FontAwesome
brailleCode = "f2a1"
briefcaseCode :: FontAwesome
briefcaseCode = "f0b1"
btcCode :: FontAwesome
btcCode = "f15a"
bugCode :: FontAwesome
bugCode = "f188"
buildingCode :: FontAwesome
buildingCode = "f1ad"
buildingOCode :: FontAwesome
buildingOCode = "f0f7"
bullhornCode :: FontAwesome
bullhornCode = "f0a1"
bullseyeCode :: FontAwesome
bullseyeCode = "f140"
busCode :: FontAwesome
busCode = "f207"
buyselladsCode :: FontAwesome
buyselladsCode = "f20d"
calculatorCode :: FontAwesome
calculatorCode = "f1ec"
calendarCode :: FontAwesome
calendarCode = "f073"
calendarCheckOCode :: FontAwesome
calendarCheckOCode = "f274"
calendarMinusOCode :: FontAwesome
calendarMinusOCode = "f272"
calendarOCode :: FontAwesome
calendarOCode = "f133"
calendarPlusOCode :: FontAwesome
calendarPlusOCode = "f271"
calendarTimesOCode :: FontAwesome
calendarTimesOCode = "f273"
cameraCode :: FontAwesome
cameraCode = "f030"
cameraRetroCode :: FontAwesome
cameraRetroCode = "f083"
carCode :: FontAwesome
carCode = "f1b9"
caretDownCode :: FontAwesome
caretDownCode = "f0d7"
caretLeftCode :: FontAwesome
caretLeftCode = "f0d9"
caretRightCode :: FontAwesome
caretRightCode = "f0da"
caretSquareODownCode :: FontAwesome
caretSquareODownCode = "f150"
caretSquareOLeftCode :: FontAwesome
caretSquareOLeftCode = "f191"
caretSquareORightCode :: FontAwesome
caretSquareORightCode = "f152"
caretSquareOUpCode :: FontAwesome
caretSquareOUpCode = "f151"
caretUpCode :: FontAwesome
caretUpCode = "f0d8"
cartArrowDownCode :: FontAwesome
cartArrowDownCode = "f218"
cartPlusCode :: FontAwesome
cartPlusCode = "f217"
ccCode :: FontAwesome
ccCode = "f20a"
ccAmexCode :: FontAwesome
ccAmexCode = "f1f3"
ccDinersClubCode :: FontAwesome
ccDinersClubCode = "f24c"
ccDiscoverCode :: FontAwesome
ccDiscoverCode = "f1f2"
ccJcbCode :: FontAwesome
ccJcbCode = "f24b"
ccMastercardCode :: FontAwesome
ccMastercardCode = "f1f1"
ccPaypalCode :: FontAwesome
ccPaypalCode = "f1f4"
ccStripeCode :: FontAwesome
ccStripeCode = "f1f5"
ccVisaCode :: FontAwesome
ccVisaCode = "f1f0"
certificateCode :: FontAwesome
certificateCode = "f0a3"
chainBrokenCode :: FontAwesome
chainBrokenCode = "f127"
checkCode :: FontAwesome
checkCode = "f00c"
checkCircleCode :: FontAwesome
checkCircleCode = "f058"
checkCircleOCode :: FontAwesome
checkCircleOCode = "f05d"
checkSquareCode :: FontAwesome
checkSquareCode = "f14a"
checkSquareOCode :: FontAwesome
checkSquareOCode = "f046"
chevronCircleDownCode :: FontAwesome
chevronCircleDownCode = "f13a"
chevronCircleLeftCode :: FontAwesome
chevronCircleLeftCode = "f137"
chevronCircleRightCode :: FontAwesome
chevronCircleRightCode = "f138"
chevronCircleUpCode :: FontAwesome
chevronCircleUpCode = "f139"
chevronDownCode :: FontAwesome
chevronDownCode = "f078"
chevronLeftCode :: FontAwesome
chevronLeftCode = "f053"
chevronRightCode :: FontAwesome
chevronRightCode = "f054"
chevronUpCode :: FontAwesome
chevronUpCode = "f077"
childCode :: FontAwesome
childCode = "f1ae"
chromeCode :: FontAwesome
chromeCode = "f268"
circleCode :: FontAwesome
circleCode = "f111"
circleOCode :: FontAwesome
circleOCode = "f10c"
circleONotchCode :: FontAwesome
circleONotchCode = "f1ce"
circleThinCode :: FontAwesome
circleThinCode = "f1db"
clipboardCode :: FontAwesome
clipboardCode = "f0ea"
clockOCode :: FontAwesome
clockOCode = "f017"
cloneCode :: FontAwesome
cloneCode = "f24d"
cloudCode :: FontAwesome
cloudCode = "f0c2"
cloudDownloadCode :: FontAwesome
cloudDownloadCode = "f0ed"
cloudUploadCode :: FontAwesome
cloudUploadCode = "f0ee"
codeCode :: FontAwesome
codeCode = "f121"
codeForkCode :: FontAwesome
codeForkCode = "f126"
codepenCode :: FontAwesome
codepenCode = "f1cb"
codiepieCode :: FontAwesome
codiepieCode = "f284"
coffeeCode :: FontAwesome
coffeeCode = "f0f4"
cogCode :: FontAwesome
cogCode = "f013"
cogsCode :: FontAwesome
cogsCode = "f085"
columnsCode :: FontAwesome
columnsCode = "f0db"
commentCode :: FontAwesome
commentCode = "f075"
commentOCode :: FontAwesome
commentOCode = "f0e5"
commentingCode :: FontAwesome
commentingCode = "f27a"
commentingOCode :: FontAwesome
commentingOCode = "f27b"
commentsCode :: FontAwesome
commentsCode = "f086"
commentsOCode :: FontAwesome
commentsOCode = "f0e6"
compassCode :: FontAwesome
compassCode = "f14e"
compressCode :: FontAwesome
compressCode = "f066"
connectdevelopCode :: FontAwesome
connectdevelopCode = "f20e"
contaoCode :: FontAwesome
contaoCode = "f26d"
copyrightCode :: FontAwesome
copyrightCode = "f1f9"
creativeCommonsCode :: FontAwesome
creativeCommonsCode = "f25e"
creditCardCode :: FontAwesome
creditCardCode = "f09d"
creditCardAltCode :: FontAwesome
creditCardAltCode = "f283"
cropCode :: FontAwesome
cropCode = "f125"
crosshairsCode :: FontAwesome
crosshairsCode = "f05b"
css3Code :: FontAwesome
css3Code = "f13c"
cubeCode :: FontAwesome
cubeCode = "f1b2"
cubesCode :: FontAwesome
cubesCode = "f1b3"
cutleryCode :: FontAwesome
cutleryCode = "f0f5"
dashcubeCode :: FontAwesome
dashcubeCode = "f210"
databaseCode :: FontAwesome
databaseCode = "f1c0"
deafCode :: FontAwesome
deafCode = "f2a4"
deliciousCode :: FontAwesome
deliciousCode = "f1a5"
desktopCode :: FontAwesome
desktopCode = "f108"
deviantartCode :: FontAwesome
deviantartCode = "f1bd"
diamondCode :: FontAwesome
diamondCode = "f219"
diggCode :: FontAwesome
diggCode = "f1a6"
dotCircleOCode :: FontAwesome
dotCircleOCode = "f192"
downloadCode :: FontAwesome
downloadCode = "f019"
dribbbleCode :: FontAwesome
dribbbleCode = "f17d"
dropboxCode :: FontAwesome
dropboxCode = "f16b"
drupalCode :: FontAwesome
drupalCode = "f1a9"
edgeCode :: FontAwesome
edgeCode = "f282"
ejectCode :: FontAwesome
ejectCode = "f052"
ellipsisHCode :: FontAwesome
ellipsisHCode = "f141"
ellipsisVCode :: FontAwesome
ellipsisVCode = "f142"
empireCode :: FontAwesome
empireCode = "f1d1"
envelopeCode :: FontAwesome
envelopeCode = "f0e0"
envelopeOCode :: FontAwesome
envelopeOCode = "f003"
envelopeSquareCode :: FontAwesome
envelopeSquareCode = "f199"
enviraCode :: FontAwesome
enviraCode = "f299"
eraserCode :: FontAwesome
eraserCode = "f12d"
eurCode :: FontAwesome
eurCode = "f153"
exchangeCode :: FontAwesome
exchangeCode = "f0ec"
exclamationCode :: FontAwesome
exclamationCode = "f12a"
exclamationCircleCode :: FontAwesome
exclamationCircleCode = "f06a"
exclamationTriangleCode :: FontAwesome
exclamationTriangleCode = "f071"
expandCode :: FontAwesome
expandCode = "f065"
expeditedsslCode :: FontAwesome
expeditedsslCode = "f23e"
externalLinkCode :: FontAwesome
externalLinkCode = "f08e"
externalLinkSquareCode :: FontAwesome
externalLinkSquareCode = "f14c"
eyeCode :: FontAwesome
eyeCode = "f06e"
eyeSlashCode :: FontAwesome
eyeSlashCode = "f070"
eyedropperCode :: FontAwesome
eyedropperCode = "f1fb"
facebookCode :: FontAwesome
facebookCode = "f09a"
facebookOfficialCode :: FontAwesome
facebookOfficialCode = "f230"
facebookSquareCode :: FontAwesome
facebookSquareCode = "f082"
fastBackwardCode :: FontAwesome
fastBackwardCode = "f049"
fastForwardCode :: FontAwesome
fastForwardCode = "f050"
faxCode :: FontAwesome
faxCode = "f1ac"
femaleCode :: FontAwesome
femaleCode = "f182"
fighterJetCode :: FontAwesome
fighterJetCode = "f0fb"
fileCode :: FontAwesome
fileCode = "f15b"
fileArchiveOCode :: FontAwesome
fileArchiveOCode = "f1c6"
fileAudioOCode :: FontAwesome
fileAudioOCode = "f1c7"
fileCodeOCode :: FontAwesome
fileCodeOCode = "f1c9"
fileExcelOCode :: FontAwesome
fileExcelOCode = "f1c3"
fileImageOCode :: FontAwesome
fileImageOCode = "f1c5"
fileOCode :: FontAwesome
fileOCode = "f016"
filePdfOCode :: FontAwesome
filePdfOCode = "f1c1"
filePowerpointOCode :: FontAwesome
filePowerpointOCode = "f1c4"
fileTextCode :: FontAwesome
fileTextCode = "f15c"
fileTextOCode :: FontAwesome
fileTextOCode = "f0f6"
fileVideoOCode :: FontAwesome
fileVideoOCode = "f1c8"
fileWordOCode :: FontAwesome
fileWordOCode = "f1c2"
filesOCode :: FontAwesome
filesOCode = "f0c5"
filmCode :: FontAwesome
filmCode = "f008"
filterCode :: FontAwesome
filterCode = "f0b0"
fireCode :: FontAwesome
fireCode = "f06d"
fireExtinguisherCode :: FontAwesome
fireExtinguisherCode = "f134"
firefoxCode :: FontAwesome
firefoxCode = "f269"
firstOrderCode :: FontAwesome
firstOrderCode = "f2b0"
flagCode :: FontAwesome
flagCode = "f024"
flagCheckeredCode :: FontAwesome
flagCheckeredCode = "f11e"
flagOCode :: FontAwesome
flagOCode = "f11d"
flaskCode :: FontAwesome
flaskCode = "f0c3"
flickrCode :: FontAwesome
flickrCode = "f16e"
floppyOCode :: FontAwesome
floppyOCode = "f0c7"
folderCode :: FontAwesome
folderCode = "f07b"
folderOCode :: FontAwesome
folderOCode = "f114"
folderOpenCode :: FontAwesome
folderOpenCode = "f07c"
folderOpenOCode :: FontAwesome
folderOpenOCode = "f115"
fontCode :: FontAwesome
fontCode = "f031"
fontAwesomeCode :: FontAwesome
fontAwesomeCode = "f2b4"
fonticonsCode :: FontAwesome
fonticonsCode = "f280"
fortAwesomeCode :: FontAwesome
fortAwesomeCode = "f286"
forumbeeCode :: FontAwesome
forumbeeCode = "f211"
forwardCode :: FontAwesome
forwardCode = "f04e"
foursquareCode :: FontAwesome
foursquareCode = "f180"
frownOCode :: FontAwesome
frownOCode = "f119"
futbolOCode :: FontAwesome
futbolOCode = "f1e3"
gamepadCode :: FontAwesome
gamepadCode = "f11b"
gavelCode :: FontAwesome
gavelCode = "f0e3"
gbpCode :: FontAwesome
gbpCode = "f154"
genderlessCode :: FontAwesome
genderlessCode = "f22d"
getPocketCode :: FontAwesome
getPocketCode = "f265"
ggCode :: FontAwesome
ggCode = "f260"
ggCircleCode :: FontAwesome
ggCircleCode = "f261"
giftCode :: FontAwesome
giftCode = "f06b"
gitCode :: FontAwesome
gitCode = "f1d3"
gitSquareCode :: FontAwesome
gitSquareCode = "f1d2"
githubCode :: FontAwesome
githubCode = "f09b"
githubAltCode :: FontAwesome
githubAltCode = "f113"
githubSquareCode :: FontAwesome
githubSquareCode = "f092"
gitlabCode :: FontAwesome
gitlabCode = "f296"
glassCode :: FontAwesome
glassCode = "f000"
glideCode :: FontAwesome
glideCode = "f2a5"
glideGCode :: FontAwesome
glideGCode = "f2a6"
globeCode :: FontAwesome
globeCode = "f0ac"
googleCode :: FontAwesome
googleCode = "f1a0"
googlePlusCode :: FontAwesome
googlePlusCode = "f0d5"
googlePlusOfficialCode :: FontAwesome
googlePlusOfficialCode = "f2b3"
googlePlusSquareCode :: FontAwesome
googlePlusSquareCode = "f0d4"
googleWalletCode :: FontAwesome
googleWalletCode = "f1ee"
graduationCapCode :: FontAwesome
graduationCapCode = "f19d"
gratipayCode :: FontAwesome
gratipayCode = "f184"
hSquareCode :: FontAwesome
hSquareCode = "f0fd"
hackerNewsCode :: FontAwesome
hackerNewsCode = "f1d4"
handLizardOCode :: FontAwesome
handLizardOCode = "f258"
handODownCode :: FontAwesome
handODownCode = "f0a7"
handOLeftCode :: FontAwesome
handOLeftCode = "f0a5"
handORightCode :: FontAwesome
handORightCode = "f0a4"
handOUpCode :: FontAwesome
handOUpCode = "f0a6"
handPaperOCode :: FontAwesome
handPaperOCode = "f256"
handPeaceOCode :: FontAwesome
handPeaceOCode = "f25b"
handPointerOCode :: FontAwesome
handPointerOCode = "f25a"
handRockOCode :: FontAwesome
handRockOCode = "f255"
handScissorsOCode :: FontAwesome
handScissorsOCode = "f257"
handSpockOCode :: FontAwesome
handSpockOCode = "f259"
hashtagCode :: FontAwesome
hashtagCode = "f292"
hddOCode :: FontAwesome
hddOCode = "f0a0"
headerCode :: FontAwesome
headerCode = "f1dc"
headphonesCode :: FontAwesome
headphonesCode = "f025"
heartCode :: FontAwesome
heartCode = "f004"
heartOCode :: FontAwesome
heartOCode = "f08a"
heartbeatCode :: FontAwesome
heartbeatCode = "f21e"
historyCode :: FontAwesome
historyCode = "f1da"
homeCode :: FontAwesome
homeCode = "f015"
hospitalOCode :: FontAwesome
hospitalOCode = "f0f8"
hourglassCode :: FontAwesome
hourglassCode = "f254"
hourglassEndCode :: FontAwesome
hourglassEndCode = "f253"
hourglassHalfCode :: FontAwesome
hourglassHalfCode = "f252"
hourglassOCode :: FontAwesome
hourglassOCode = "f250"
hourglassStartCode :: FontAwesome
hourglassStartCode = "f251"
houzzCode :: FontAwesome
houzzCode = "f27c"
html5Code :: FontAwesome
html5Code = "f13b"
iCursorCode :: FontAwesome
iCursorCode = "f246"
ilsCode :: FontAwesome
ilsCode = "f20b"
inboxCode :: FontAwesome
inboxCode = "f01c"
indentCode :: FontAwesome
indentCode = "f03c"
industryCode :: FontAwesome
industryCode = "f275"
infoCode :: FontAwesome
infoCode = "f129"
infoCircleCode :: FontAwesome
infoCircleCode = "f05a"
inrCode :: FontAwesome
inrCode = "f156"
instagramCode :: FontAwesome
instagramCode = "f16d"
internetExplorerCode :: FontAwesome
internetExplorerCode = "f26b"
ioxhostCode :: FontAwesome
ioxhostCode = "f208"
italicCode :: FontAwesome
italicCode = "f033"
joomlaCode :: FontAwesome
joomlaCode = "f1aa"
jpyCode :: FontAwesome
jpyCode = "f157"
jsfiddleCode :: FontAwesome
jsfiddleCode = "f1cc"
keyCode :: FontAwesome
keyCode = "f084"
keyboardOCode :: FontAwesome
keyboardOCode = "f11c"
krwCode :: FontAwesome
krwCode = "f159"
languageCode :: FontAwesome
languageCode = "f1ab"
laptopCode :: FontAwesome
laptopCode = "f109"
lastfmCode :: FontAwesome
lastfmCode = "f202"
lastfmSquareCode :: FontAwesome
lastfmSquareCode = "f203"
leafCode :: FontAwesome
leafCode = "f06c"
leanpubCode :: FontAwesome
leanpubCode = "f212"
lemonOCode :: FontAwesome
lemonOCode = "f094"
levelDownCode :: FontAwesome
levelDownCode = "f149"
levelUpCode :: FontAwesome
levelUpCode = "f148"
lifeRingCode :: FontAwesome
lifeRingCode = "f1cd"
lightbulbOCode :: FontAwesome
lightbulbOCode = "f0eb"
lineChartCode :: FontAwesome
lineChartCode = "f201"
linkCode :: FontAwesome
linkCode = "f0c1"
linkedinCode :: FontAwesome
linkedinCode = "f0e1"
linkedinSquareCode :: FontAwesome
linkedinSquareCode = "f08c"
linuxCode :: FontAwesome
linuxCode = "f17c"
listCode :: FontAwesome
listCode = "f03a"
listAltCode :: FontAwesome
listAltCode = "f022"
listOlCode :: FontAwesome
listOlCode = "f0cb"
listUlCode :: FontAwesome
listUlCode = "f0ca"
locationArrowCode :: FontAwesome
locationArrowCode = "f124"
lockCode :: FontAwesome
lockCode = "f023"
longArrowDownCode :: FontAwesome
longArrowDownCode = "f175"
longArrowLeftCode :: FontAwesome
longArrowLeftCode = "f177"
longArrowRightCode :: FontAwesome
longArrowRightCode = "f178"
longArrowUpCode :: FontAwesome
longArrowUpCode = "f176"
lowVisionCode :: FontAwesome
lowVisionCode = "f2a8"
magicCode :: FontAwesome
magicCode = "f0d0"
magnetCode :: FontAwesome
magnetCode = "f076"
maleCode :: FontAwesome
maleCode = "f183"
mapCode :: FontAwesome
mapCode = "f279"
mapMarkerCode :: FontAwesome
mapMarkerCode = "f041"
mapOCode :: FontAwesome
mapOCode = "f278"
mapPinCode :: FontAwesome
mapPinCode = "f276"
mapSignsCode :: FontAwesome
mapSignsCode = "f277"
marsCode :: FontAwesome
marsCode = "f222"
marsDoubleCode :: FontAwesome
marsDoubleCode = "f227"
marsStrokeCode :: FontAwesome
marsStrokeCode = "f229"
marsStrokeHCode :: FontAwesome
marsStrokeHCode = "f22b"
marsStrokeVCode :: FontAwesome
marsStrokeVCode = "f22a"
maxcdnCode :: FontAwesome
maxcdnCode = "f136"
meanpathCode :: FontAwesome
meanpathCode = "f20c"
mediumCode :: FontAwesome
mediumCode = "f23a"
medkitCode :: FontAwesome
medkitCode = "f0fa"
mehOCode :: FontAwesome
mehOCode = "f11a"
mercuryCode :: FontAwesome
mercuryCode = "f223"
microphoneCode :: FontAwesome
microphoneCode = "f130"
microphoneSlashCode :: FontAwesome
microphoneSlashCode = "f131"
minusCode :: FontAwesome
minusCode = "f068"
minusCircleCode :: FontAwesome
minusCircleCode = "f056"
minusSquareCode :: FontAwesome
minusSquareCode = "f146"
minusSquareOCode :: FontAwesome
minusSquareOCode = "f147"
mixcloudCode :: FontAwesome
mixcloudCode = "f289"
mobileCode :: FontAwesome
mobileCode = "f10b"
modxCode :: FontAwesome
modxCode = "f285"
moneyCode :: FontAwesome
moneyCode = "f0d6"
moonOCode :: FontAwesome
moonOCode = "f186"
motorcycleCode :: FontAwesome
motorcycleCode = "f21c"
mousePointerCode :: FontAwesome
mousePointerCode = "f245"
musicCode :: FontAwesome
musicCode = "f001"
neuterCode :: FontAwesome
neuterCode = "f22c"
newspaperOCode :: FontAwesome
newspaperOCode = "f1ea"
objectGroupCode :: FontAwesome
objectGroupCode = "f247"
objectUngroupCode :: FontAwesome
objectUngroupCode = "f248"
odnoklassnikiCode :: FontAwesome
odnoklassnikiCode = "f263"
odnoklassnikiSquareCode :: FontAwesome
odnoklassnikiSquareCode = "f264"
opencartCode :: FontAwesome
opencartCode = "f23d"
openidCode :: FontAwesome
openidCode = "f19b"
operaCode :: FontAwesome
operaCode = "f26a"
optinMonsterCode :: FontAwesome
optinMonsterCode = "f23c"
outdentCode :: FontAwesome
outdentCode = "f03b"
pagelinesCode :: FontAwesome
pagelinesCode = "f18c"
paintBrushCode :: FontAwesome
paintBrushCode = "f1fc"
paperPlaneCode :: FontAwesome
paperPlaneCode = "f1d8"
paperPlaneOCode :: FontAwesome
paperPlaneOCode = "f1d9"
paperclipCode :: FontAwesome
paperclipCode = "f0c6"
paragraphCode :: FontAwesome
paragraphCode = "f1dd"
pauseCode :: FontAwesome
pauseCode = "f04c"
pauseCircleCode :: FontAwesome
pauseCircleCode = "f28b"
pauseCircleOCode :: FontAwesome
pauseCircleOCode = "f28c"
pawCode :: FontAwesome
pawCode = "f1b0"
paypalCode :: FontAwesome
paypalCode = "f1ed"
pencilCode :: FontAwesome
pencilCode = "f040"
pencilSquareCode :: FontAwesome
pencilSquareCode = "f14b"
pencilSquareOCode :: FontAwesome
pencilSquareOCode = "f044"
percentCode :: FontAwesome
percentCode = "f295"
phoneCode :: FontAwesome
phoneCode = "f095"
phoneSquareCode :: FontAwesome
phoneSquareCode = "f098"
pictureOCode :: FontAwesome
pictureOCode = "f03e"
pieChartCode :: FontAwesome
pieChartCode = "f200"
piedPiperCode :: FontAwesome
piedPiperCode = "f2ae"
piedPiperAltCode :: FontAwesome
piedPiperAltCode = "f1a8"
piedPiperPpCode :: FontAwesome
piedPiperPpCode = "f1a7"
pinterestCode :: FontAwesome
pinterestCode = "f0d2"
pinterestPCode :: FontAwesome
pinterestPCode = "f231"
pinterestSquareCode :: FontAwesome
pinterestSquareCode = "f0d3"
planeCode :: FontAwesome
planeCode = "f072"
playCode :: FontAwesome
playCode = "f04b"
playCircleCode :: FontAwesome
playCircleCode = "f144"
playCircleOCode :: FontAwesome
playCircleOCode = "f01d"
plugCode :: FontAwesome
plugCode = "f1e6"
plusCode :: FontAwesome
plusCode = "f067"
plusCircleCode :: FontAwesome
plusCircleCode = "f055"
plusSquareCode :: FontAwesome
plusSquareCode = "f0fe"
plusSquareOCode :: FontAwesome
plusSquareOCode = "f196"
powerOffCode :: FontAwesome
powerOffCode = "f011"
printCode :: FontAwesome
printCode = "f02f"
productHuntCode :: FontAwesome
productHuntCode = "f288"
puzzlePieceCode :: FontAwesome
puzzlePieceCode = "f12e"
qqCode :: FontAwesome
qqCode = "f1d6"
qrcodeCode :: FontAwesome
qrcodeCode = "f029"
questionCode :: FontAwesome
questionCode = "f128"
questionCircleCode :: FontAwesome
questionCircleCode = "f059"
questionCircleOCode :: FontAwesome
questionCircleOCode = "f29c"
quoteLeftCode :: FontAwesome
quoteLeftCode = "f10d"
quoteRightCode :: FontAwesome
quoteRightCode = "f10e"
randomCode :: FontAwesome
randomCode = "f074"
rebelCode :: FontAwesome
rebelCode = "f1d0"
recycleCode :: FontAwesome
recycleCode = "f1b8"
redditCode :: FontAwesome
redditCode = "f1a1"
redditAlienCode :: FontAwesome
redditAlienCode = "f281"
redditSquareCode :: FontAwesome
redditSquareCode = "f1a2"
refreshCode :: FontAwesome
refreshCode = "f021"
registeredCode :: FontAwesome
registeredCode = "f25d"
renrenCode :: FontAwesome
renrenCode = "f18b"
repeatCode :: FontAwesome
repeatCode = "f01e"
replyCode :: FontAwesome
replyCode = "f112"
replyAllCode :: FontAwesome
replyAllCode = "f122"
retweetCode :: FontAwesome
retweetCode = "f079"
roadCode :: FontAwesome
roadCode = "f018"
rocketCode :: FontAwesome
rocketCode = "f135"
rssCode :: FontAwesome
rssCode = "f09e"
rssSquareCode :: FontAwesome
rssSquareCode = "f143"
rubCode :: FontAwesome
rubCode = "f158"
safariCode :: FontAwesome
safariCode = "f267"
scissorsCode :: FontAwesome
scissorsCode = "f0c4"
scribdCode :: FontAwesome
scribdCode = "f28a"
searchCode :: FontAwesome
searchCode = "f002"
searchMinusCode :: FontAwesome
searchMinusCode = "f010"
searchPlusCode :: FontAwesome
searchPlusCode = "f00e"
sellsyCode :: FontAwesome
sellsyCode = "f213"
serverCode :: FontAwesome
serverCode = "f233"
shareCode :: FontAwesome
shareCode = "f064"
shareAltCode :: FontAwesome
shareAltCode = "f1e0"
shareAltSquareCode :: FontAwesome
shareAltSquareCode = "f1e1"
shareSquareCode :: FontAwesome
shareSquareCode = "f14d"
shareSquareOCode :: FontAwesome
shareSquareOCode = "f045"
shieldCode :: FontAwesome
shieldCode = "f132"
shipCode :: FontAwesome
shipCode = "f21a"
shirtsinbulkCode :: FontAwesome
shirtsinbulkCode = "f214"
shoppingBagCode :: FontAwesome
shoppingBagCode = "f290"
shoppingBasketCode :: FontAwesome
shoppingBasketCode = "f291"
shoppingCartCode :: FontAwesome
shoppingCartCode = "f07a"
signInCode :: FontAwesome
signInCode = "f090"
signLanguageCode :: FontAwesome
signLanguageCode = "f2a7"
signOutCode :: FontAwesome
signOutCode = "f08b"
signalCode :: FontAwesome
signalCode = "f012"
simplybuiltCode :: FontAwesome
simplybuiltCode = "f215"
sitemapCode :: FontAwesome
sitemapCode = "f0e8"
skyatlasCode :: FontAwesome
skyatlasCode = "f216"
skypeCode :: FontAwesome
skypeCode = "f17e"
slackCode :: FontAwesome
slackCode = "f198"
slidersCode :: FontAwesome
slidersCode = "f1de"
slideshareCode :: FontAwesome
slideshareCode = "f1e7"
smileOCode :: FontAwesome
smileOCode = "f118"
snapchatCode :: FontAwesome
snapchatCode = "f2ab"
snapchatGhostCode :: FontAwesome
snapchatGhostCode = "f2ac"
snapchatSquareCode :: FontAwesome
snapchatSquareCode = "f2ad"
sortCode :: FontAwesome
sortCode = "f0dc"
sortAlphaAscCode :: FontAwesome
sortAlphaAscCode = "f15d"
sortAlphaDescCode :: FontAwesome
sortAlphaDescCode = "f15e"
sortAmountAscCode :: FontAwesome
sortAmountAscCode = "f160"
sortAmountDescCode :: FontAwesome
sortAmountDescCode = "f161"
sortAscCode :: FontAwesome
sortAscCode = "f0de"
sortDescCode :: FontAwesome
sortDescCode = "f0dd"
sortNumericAscCode :: FontAwesome
sortNumericAscCode = "f162"
sortNumericDescCode :: FontAwesome
sortNumericDescCode = "f163"
soundcloudCode :: FontAwesome
soundcloudCode = "f1be"
spaceShuttleCode :: FontAwesome
spaceShuttleCode = "f197"
spinnerCode :: FontAwesome
spinnerCode = "f110"
spoonCode :: FontAwesome
spoonCode = "f1b1"
spotifyCode :: FontAwesome
spotifyCode = "f1bc"
squareCode :: FontAwesome
squareCode = "f0c8"
squareOCode :: FontAwesome
squareOCode = "f096"
stackExchangeCode :: FontAwesome
stackExchangeCode = "f18d"
stackOverflowCode :: FontAwesome
stackOverflowCode = "f16c"
starCode :: FontAwesome
starCode = "f005"
starHalfCode :: FontAwesome
starHalfCode = "f089"
starHalfOCode :: FontAwesome
starHalfOCode = "f123"
starOCode :: FontAwesome
starOCode = "f006"
steamCode :: FontAwesome
steamCode = "f1b6"
steamSquareCode :: FontAwesome
steamSquareCode = "f1b7"
stepBackwardCode :: FontAwesome
stepBackwardCode = "f048"
stepForwardCode :: FontAwesome
stepForwardCode = "f051"
stethoscopeCode :: FontAwesome
stethoscopeCode = "f0f1"
stickyNoteCode :: FontAwesome
stickyNoteCode = "f249"
stickyNoteOCode :: FontAwesome
stickyNoteOCode = "f24a"
stopCode :: FontAwesome
stopCode = "f04d"
stopCircleCode :: FontAwesome
stopCircleCode = "f28d"
stopCircleOCode :: FontAwesome
stopCircleOCode = "f28e"
streetViewCode :: FontAwesome
streetViewCode = "f21d"
strikethroughCode :: FontAwesome
strikethroughCode = "f0cc"
stumbleuponCode :: FontAwesome
stumbleuponCode = "f1a4"
stumbleuponCircleCode :: FontAwesome
stumbleuponCircleCode = "f1a3"
subscriptCode :: FontAwesome
subscriptCode = "f12c"
subwayCode :: FontAwesome
subwayCode = "f239"
suitcaseCode :: FontAwesome
suitcaseCode = "f0f2"
sunOCode :: FontAwesome
sunOCode = "f185"
superscriptCode :: FontAwesome
superscriptCode = "f12b"
tableCode :: FontAwesome
tableCode = "f0ce"
tabletCode :: FontAwesome
tabletCode = "f10a"
tachometerCode :: FontAwesome
tachometerCode = "f0e4"
tagCode :: FontAwesome
tagCode = "f02b"
tagsCode :: FontAwesome
tagsCode = "f02c"
tasksCode :: FontAwesome
tasksCode = "f0ae"
taxiCode :: FontAwesome
taxiCode = "f1ba"
televisionCode :: FontAwesome
televisionCode = "f26c"
tencentWeiboCode :: FontAwesome
tencentWeiboCode = "f1d5"
terminalCode :: FontAwesome
terminalCode = "f120"
textHeightCode :: FontAwesome
textHeightCode = "f034"
textWidthCode :: FontAwesome
textWidthCode = "f035"
thCode :: FontAwesome
thCode = "f00a"
thLargeCode :: FontAwesome
thLargeCode = "f009"
thListCode :: FontAwesome
thListCode = "f00b"
themeisleCode :: FontAwesome
themeisleCode = "f2b2"
thumbTackCode :: FontAwesome
thumbTackCode = "f08d"
thumbsDownCode :: FontAwesome
thumbsDownCode = "f165"
thumbsODownCode :: FontAwesome
thumbsODownCode = "f088"
thumbsOUpCode :: FontAwesome
thumbsOUpCode = "f087"
thumbsUpCode :: FontAwesome
thumbsUpCode = "f164"
ticketCode :: FontAwesome
ticketCode = "f145"
timesCode :: FontAwesome
timesCode = "f00d"
timesCircleCode :: FontAwesome
timesCircleCode = "f057"
timesCircleOCode :: FontAwesome
timesCircleOCode = "f05c"
tintCode :: FontAwesome
tintCode = "f043"
toggleOffCode :: FontAwesome
toggleOffCode = "f204"
toggleOnCode :: FontAwesome
toggleOnCode = "f205"
trademarkCode :: FontAwesome
trademarkCode = "f25c"
trainCode :: FontAwesome
trainCode = "f238"
transgenderCode :: FontAwesome
transgenderCode = "f224"
transgenderAltCode :: FontAwesome
transgenderAltCode = "f225"
trashCode :: FontAwesome
trashCode = "f1f8"
trashOCode :: FontAwesome
trashOCode = "f014"
treeCode :: FontAwesome
treeCode = "f1bb"
trelloCode :: FontAwesome
trelloCode = "f181"
tripadvisorCode :: FontAwesome
tripadvisorCode = "f262"
trophyCode :: FontAwesome
trophyCode = "f091"
truckCode :: FontAwesome
truckCode = "f0d1"
tryCode :: FontAwesome
tryCode = "f195"
ttyCode :: FontAwesome
ttyCode = "f1e4"
tumblrCode :: FontAwesome
tumblrCode = "f173"
tumblrSquareCode :: FontAwesome
tumblrSquareCode = "f174"
twitchCode :: FontAwesome
twitchCode = "f1e8"
twitterCode :: FontAwesome
twitterCode = "f099"
twitterSquareCode :: FontAwesome
twitterSquareCode = "f081"
umbrellaCode :: FontAwesome
umbrellaCode = "f0e9"
underlineCode :: FontAwesome
underlineCode = "f0cd"
undoCode :: FontAwesome
undoCode = "f0e2"
universalAccessCode :: FontAwesome
universalAccessCode = "f29a"
universityCode :: FontAwesome
universityCode = "f19c"
unlockCode :: FontAwesome
unlockCode = "f09c"
unlockAltCode :: FontAwesome
unlockAltCode = "f13e"
uploadCode :: FontAwesome
uploadCode = "f093"
usbCode :: FontAwesome
usbCode = "f287"
usdCode :: FontAwesome
usdCode = "f155"
userCode :: FontAwesome
userCode = "f007"
userMdCode :: FontAwesome
userMdCode = "f0f0"
userPlusCode :: FontAwesome
userPlusCode = "f234"
userSecretCode :: FontAwesome
userSecretCode = "f21b"
userTimesCode :: FontAwesome
userTimesCode = "f235"
usersCode :: FontAwesome
usersCode = "f0c0"
venusCode :: FontAwesome
venusCode = "f221"
venusDoubleCode :: FontAwesome
venusDoubleCode = "f226"
venusMarsCode :: FontAwesome
venusMarsCode = "f228"
viacoinCode :: FontAwesome
viacoinCode = "f237"
viadeoCode :: FontAwesome
viadeoCode = "f2a9"
viadeoSquareCode :: FontAwesome
viadeoSquareCode = "f2aa"
videoCameraCode :: FontAwesome
videoCameraCode = "f03d"
vimeoCode :: FontAwesome
vimeoCode = "f27d"
vimeoSquareCode :: FontAwesome
vimeoSquareCode = "f194"
vineCode :: FontAwesome
vineCode = "f1ca"
vkCode :: FontAwesome
vkCode = "f189"
volumeControlPhoneCode :: FontAwesome
volumeControlPhoneCode = "f2a0"
volumeDownCode :: FontAwesome
volumeDownCode = "f027"
volumeOffCode :: FontAwesome
volumeOffCode = "f026"
volumeUpCode :: FontAwesome
volumeUpCode = "f028"
weiboCode :: FontAwesome
weiboCode = "f18a"
weixinCode :: FontAwesome
weixinCode = "f1d7"
whatsappCode :: FontAwesome
whatsappCode = "f232"
wheelchairCode :: FontAwesome
wheelchairCode = "f193"
wheelchairAltCode :: FontAwesome
wheelchairAltCode = "f29b"
wifiCode :: FontAwesome
wifiCode = "f1eb"
wikipediaWCode :: FontAwesome
wikipediaWCode = "f266"
windowsCode :: FontAwesome
windowsCode = "f17a"
wordpressCode :: FontAwesome
wordpressCode = "f19a"
wpbeginnerCode :: FontAwesome
wpbeginnerCode = "f297"
wpformsCode :: FontAwesome
wpformsCode = "f298"
wrenchCode :: FontAwesome
wrenchCode = "f0ad"
xingCode :: FontAwesome
xingCode = "f168"
xingSquareCode :: FontAwesome
xingSquareCode = "f169"
yCombinatorCode :: FontAwesome
yCombinatorCode = "f23b"
yahooCode :: FontAwesome
yahooCode = "f19e"
yelpCode :: FontAwesome
yelpCode = "f1e9"
yoastCode :: FontAwesome
yoastCode = "f2b1"
youtubeCode :: FontAwesome
youtubeCode = "f167"
youtubePlayCode :: FontAwesome
youtubePlayCode = "f16a"
youtubeSquareCode :: FontAwesome
youtubeSquareCode = "f166"
